PHP-инклюдинг в phpOracleView

Дата публикации:
28.04.2007
Всего просмотров:
966
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpOracleView
Уязвимые версии: phpOracleView

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах "page_dir" и "inc_dir" в сценарии inc/include_all.inc.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/phporacleview/inc/include_all.inc.php?page_dir=[file]

URL производителя: webxadmin.free.fr/section/phporacleview-33.php

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA